XPlanner

Docs

delete folder

Deletes the folder. The delete scope is not given with the old folders:write alias.


DELETE

/folders/{id}

folders:delete

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Idempotency-Key

*
string

Unique value of 1-255 characters to safely retry the same write request.

Content-Type

string

Use application/json when sending JSON body.

Body

mode

string

folder-only deletes the folder, leaving the ideas without a folder. It also deletes the ideas in the with-ideas folder.

Cevaplar

200

The folder has been deleted.

403

folders:delete scope'u yok.

cURL

curl -X DELETE https://api.xplanner.co/v1/folders/fld_123 \  -H "Authorization: Bearer $XPLANNER_API_KEY" \  -H "Content-Type: application/json" \  -H "Idempotency-Key: folder-delete-001" \  -d '{ "mode": "folder-only" }'

Cevap

{  "data": {    "deleted": true  },  "requestId": "req_123"}